<html>
<head>
<title>/home/cabal/programming/ogre/sources/ogre_src_v1-8-0/RenderSystems/Direct3D11/ -&gt; OgreMain Relation - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h3>Direct3D11 &rarr; OgreMain Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in RenderSystems/Direct3D11</th><th class="dirtab">Includes file in OgreMain</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11DepthBuffer_8h.html">OgreD3D11DepthBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreDepthBuffer_8h.html">OgreDepthBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11GpuProgram_8h.html">OgreD3D11GpuProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11GpuProgramManager_8h.html">OgreD3D11GpuProgramManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgramManager_8h.html">OgreGpuProgramManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HardwareBuffer_8h.html">OgreD3D11HardwareBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareBuffer_8h.html">OgreHardwareBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HardwareBufferManager_8h.html">OgreD3D11HardwareBufferManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareBufferManager_8h.html">OgreHardwareBufferManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HardwareIndexBuffer_8h.html">OgreD3D11HardwareIndexBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareIndexBuffer_8h.html">OgreHardwareIndexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HardwareOcclusionQuery_8h.html">OgreD3D11HardwareOcclusionQuery.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareOcclusionQuery_8h.html">OgreHardwareOcclusionQuery.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HardwarePixelBuffer_8h.html">OgreD3D11HardwarePixelBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwarePixelBuffer_8h.html">OgreHardwarePixelBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HardwareVertexBuffer_8h.html">OgreD3D11HardwareVertexBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareVertexBuffer_8h.html">OgreHardwareVertexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HLSLProgram_8h.html">OgreD3D11HLSLProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHighLevelGpuProgram_8h.html">OgreHighLevelGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11HLSLProgramFactory_8h.html">OgreD3D11HLSLProgramFactory.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHighLevelGpuProgramManager_8h.html">OgreHighLevelGpuProgramManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Mappings_8h.html">OgreD3D11Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Mappings_8h.html">OgreD3D11Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreTextureUnitState_8h.html">OgreTextureUnitState.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11MultiRenderTarget_8h.html">OgreD3D11MultiRenderTarget.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderTexture_8h.html">OgreRenderTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Plugin_8h.html">OgreD3D11Plugin.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgrePlugin_8h.html">OgrePlugin.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="dir_9373c43a1655435a5560b4f3838ebf47.html">WIN32</a>&#160;/&#160;<a class="el" href="OgreMinGWSupport_8h.html">OgreMinGWSupport.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11RenderSystem_8h.html">OgreD3D11RenderSystem.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11RenderToVertexBuffer_8h.html">OgreD3D11RenderToVertexBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderToVertexBuffer_8h.html">OgreRenderToVertexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11RenderWindow_8h.html">OgreD3D11RenderWindow.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Texture_8h.html">OgreD3D11Texture.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderTexture_8h.html">OgreRenderTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11Texture_8h.html">OgreD3D11Texture.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreTexture_8h.html">OgreTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11TextureManager_8h.html">OgreD3D11TextureManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreTextureManager_8h.html">OgreTextureManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11VertexDeclaration_8h.html">OgreD3D11VertexDeclaration.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareVertexBuffer_8h.html">OgreHardwareVertexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>&#160;/&#160;<a class="el" href="OgreD3D11VertexDeclaration_8h.html">OgreD3D11VertexDeclaration.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHighLevelGpuProgramManager_8h.html">OgreHighLevelGpuProgramManager.h</a></td></tr></table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:34
</p>
</body>
</html>
